# Auth_export mod for minetest 

This is an ad-hoc mod written to interface Minetest with Mediawiki
(see [the mediawiki plugin](/AuthMinetest.git/)). It is intended only
for usage with the http server bundled with the mediawiki plugin.

## Installation

To set up your minetest installation to communicate with the minetest server, edit your "minetest.conf":

```
# enable curl/http on that mod
secure.http_mods = mail
secure.http_mods = auth_export
```

## BUGS

Bugs are tracked on
[Hemiptera](https://bugs.linux-forks.de/MinetestMediawiki/). Send bugs
as an e-mail to <MinetestMediawiki@bugs.linux-forks.de>

## TODO

* Improve architecture – This mod's architecture is rather ugly right now
* Integrate with various ban mechanisms
* Add service-specific access rights, such as a "wiki" priv for wiki
  access, or "nowiki" xban flag to ban access to wiki


## Credits

This mod is essentially scavenged from
[the webmail mod](https://github.com/thomasrudin-mt/mail) by Thomas
Rudin.
